package migl.lisp;

/**
 * Simple factory to access the interpreter implementation.
 * 
 * @author leberre
 *
 */
public class LispFactory {
	
	private static boolean first = true;

    private LispFactory() {
        // do nothing
    }

    /**
     * Create a new instance of the interpreter.
     * 
     * @return a new lisp interpreter.
     */
    public static Lisp makeIntepreter() {
    	if(first) {
    		LispEval.setupOperators();
    		first = false;
    	}
        return new LispImpl();
    }
}
